%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define _name cyber-kwin-plugins

%define base_ver %(curl -fsSL https://git.omame.tech/CyberOS/cyber-build-scripts/raw/branch/master/stable/%{_name}/PKGBUILD | grep pkgver | cut -d '=' -f 2 | head -n1)
%define git_refspec %(curl -fsSL -X GET "https://git.omame.tech/api/v1/repos/CyberOS/%{_name}/commits" -H  "accept: application/json" | jq -r '.[0].sha')
%define git_refspec_short %(echo %{git_refspec} | cut -c -7)
%define build_timestamp %(date +%s)

Name: %{_name}
#Version: 1.1.0
Version: %{base_ver}git.%{build_timestamp}.%{git_refspec_short}
Release: 0%{?dist}
BuildRequires: jq
Summary:	KWin Plugins for Cyber Desktop
License:	GPLv3+
URL:		https://getcyberos.org
BuildRequires:	cmake
BuildRequires:  extra-cmake-modules qt5-qtbase-devel qt5-qtdeclarative-devel qt5-linguist
BuildRequires:	kf5-kwayland-devel kf5-kconfig kf5-kcoreaddons-devel kf5-kguiaddons-devel kf5-kconfigwidgets-devel kf5-kwindowsystem-devel
BuildRequires:	kdecoration-devel
Requires:	kwayland-integration kwin
Requires:	kf5-kconfigwidgets
#Source0:	https://git.omame.tech/CyberOS/cyber-kwin-plugins/archive/%{version}.tar.gz
Source0: https://git.omame.tech/CyberOS/%{name}/archive/%{git_refspec}.tar.gz
%description
KWin Plugins for the Cyber Desktop

%prep
%setup -qn %{name}

%build
%{set_build_flags}
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%files 
%license LICENSE
/etc/xdg/kwinrc
%{_libdir}/qt5/plugins/org.kde.kdecoration2/libcyberdecoration.so
%{_datadir}/kwin/effects/cyber_squash/
%{_datadir}/kwin/scripts/cyberlauncher/
%{_datadir}/kwin/tabbox/cyber_thumbnail/

%changelog
* Tue Aug 03 2021 korewaChino <crkza1134@gmail.com> - 1.0.0
- Initial version
